com.trendmicro.ds.platform.rest.object.tenant

## Class TenantDbLockElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.tenant.TenantDbLockElement

-     public class TenantDbLockElement
      extends java.lang.Object

  A structure containing information about tenant database lock

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantDbLockElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExtraInformation()`
    `java.lang.String` | `getLockClient()`
    `java.lang.Integer` | `getLockDelayInSec()`
    `java.lang.String` | `getLockDescription()`
    `java.lang.String` | `getLockRequested()`
    `java.lang.String` | `getLockStatus()`
    `java.lang.Integer` | `getNumActive()`
    `java.lang.Integer` | `getTenantID()`
    `java.lang.String` | `getTimeOfRequest()`
    `java.lang.String` | `getTimeoutActions()`
    `java.lang.Integer` | `getTimeoutInSec()`
    `void` | `setExtraInformation(java.lang.String extraInformation)`
    `void` | `setLockClient(java.lang.String lockClient)`
    `void` | `setLockDelayInSec(java.lang.Integer lockDelayInSec)`
    `void` | `setLockDescription(java.lang.String lockDescription)`
    `void` | `setLockRequested(java.lang.String lockRequested)`
    `void` | `setLockStatus(java.lang.String lockStatus)`
    `void` | `setNumActive(java.lang.Integer numActive)`
    `void` | `setTenantID(java.lang.Integer tenantID)`
    `void` | `setTimeOfRequest(java.lang.String timeOfRequest)`
    `void` | `setTimeoutActions(java.lang.String timeoutActions)`
    `void` | `setTimeoutInSec(java.lang.Integer timeoutInSec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantDbLockElement

          public TenantDbLockElement()

  - ### Method Detail

    - #### getTenantID

          public java.lang.Integer getTenantID()

    - #### setTenantID

          public void setTenantID(java.lang.Integer tenantID)

    - #### getLockRequested

          public java.lang.String getLockRequested()

    - #### setLockRequested

          public void setLockRequested(java.lang.String lockRequested)

    - #### getLockDescription

          public java.lang.String getLockDescription()

    - #### setLockDescription

          public void setLockDescription(java.lang.String lockDescription)

    - #### getLockClient

          public java.lang.String getLockClient()

    - #### setLockClient

          public void setLockClient(java.lang.String lockClient)

    - #### getLockStatus

          public java.lang.String getLockStatus()

    - #### setLockStatus

          public void setLockStatus(java.lang.String lockStatus)

    - #### getNumActive

          public java.lang.Integer getNumActive()

    - #### setNumActive

          public void setNumActive(java.lang.Integer numActive)

    - #### getTimeOfRequest

          public java.lang.String getTimeOfRequest()

    - #### setTimeOfRequest

          public void setTimeOfRequest(java.lang.String timeOfRequest)

    - #### getLockDelayInSec

          public java.lang.Integer getLockDelayInSec()

    - #### setLockDelayInSec

          public void setLockDelayInSec(java.lang.Integer lockDelayInSec)

    - #### getTimeoutInSec

          public java.lang.Integer getTimeoutInSec()

    - #### setTimeoutInSec

          public void setTimeoutInSec(java.lang.Integer timeoutInSec)

    - #### getTimeoutActions

          public java.lang.String getTimeoutActions()

    - #### setTimeoutActions

          public void setTimeoutActions(java.lang.String timeoutActions)

    - #### getExtraInformation

          public java.lang.String getExtraInformation()

    - #### setExtraInformation

          public void setExtraInformation(java.lang.String extraInformation)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.